Mexican Federal Laws
curl --request POST \
--url https://api.croma.run/mx/diputados/federal-laws/v1 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "instituciones de crédito"
}
'import requests
url = "https://api.croma.run/mx/diputados/federal-laws/v1"
payload = { "query": "instituciones de crédito" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: 'instituciones de crédito'})
};
fetch('https://api.croma.run/mx/diputados/federal-laws/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"laws": [
{
"id": "<string>",
"name": "<string>",
"abbreviation": "<string>",
"publication_date": "2023-12-25",
"last_reform_date": "2023-12-25",
"last_reform_note": "<string>",
"status_note": "<string>",
"abrogated": true,
"reformed": true,
"pdf_url": "<string>",
"doc_url": "<string>"
}
],
"pagination": {
"total": 123,
"page_size": 123,
"total_pages": 123,
"page": 123
}
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"details": {}
}
}Mexican Federal Laws
The complete catalog of Mexican federal laws and codes (315+, including the Constitution and recently abrogated laws, flagged abrogated), from the official compilation of the Cámara de Diputados. Each law carries its original publication date, last reform date, and links to the consolidated official PDF/Word text. Optional query filters by name or abbreviation. Paged, 100 laws per page.
POST
/
mx
/
diputados
/
federal-laws
/
v1
Mexican Federal Laws
Authorizations
Use Authorization: Bearer YOUR_API_KEY
Body
application/json
Response
Successful response
Show child attributes
Show child attributes
⌘I